package w83a.w83aBeans;

import java.util.List;

/**
 * K68aCertificadoBean
 * Bean que encapsula los datos sobre un certificado 
 * @author acarbajo
 *
 */
public class W83aCertificadoBean {

	private boolean valido;
	private String causa;
	private String politica;
	private String nombre;
	private String documento;
	private List certificateIssuer;
	private List certificateSubject;
	private String certificateSerialNumber;
	private String signatureDate;
	
	/**
	 * @return the valido
	 */
	public boolean isValido() {
		return this.valido;
	}
	/**
	 * @param valido the valido to set
	 */
	public void setValido(boolean valido) {
		this.valido = valido;
	}
	/**
	 * @return the causa
	 */
	public String getCausa() {
		return this.causa;
	}
	/**
	 * @param causa the causa to set
	 */
	public void setCausa(String causa) {
		this.causa = causa;
	}
	/**
	 * @return the certificateIssuer
	 */
	public List getCertificateIssuer() {
		return this.certificateIssuer;
	}
	/**
	 * @param certificateIssuer the certificateIssuer to set
	 */
	public void setCertificateIssuer(List certificateIssuer) {
		this.certificateIssuer = certificateIssuer;
	}
	/**
	 * @return the certificateSubject
	 */
	public List getCertificateSubject() {
		return this.certificateSubject;
	}
	/**
	 * @param certificateSubject the certificateSubject to set
	 */
	public void setCertificateSubject(List certificateSubject) {
		this.certificateSubject = certificateSubject;
	}
	/**
	 * @return the certificateSerialNumber
	 */
	public String getCertificateSerialNumber() {
		return this.certificateSerialNumber;
	}
	/**
	 * @param certificateSerialNumber the certificateSerialNumber to set
	 */
	public void setCertificateSerialNumber(String certificateSerialNumber) {
		this.certificateSerialNumber = certificateSerialNumber;
	}
	/**
	 * @return the signatureDate
	 */
	public String getSignatureDate() {
		return this.signatureDate;
	}
	/**
	 * @param signatureDate the signatureDate to set
	 */
	public void setSignatureDate(String signatureDate) {
		this.signatureDate = signatureDate;
	}
	/**
	 * 
	 * @return the politica
	 */
	public String getPolitica() {
		return this.politica;
	}
	/**
	 * 
	 * @param politica the politica to set
	 */
	public void setPolitica(String politica) {
		this.politica = politica;
	}
	/**
	 * 
	 * @return the nombre
	 */
	public String getNombre() {
		return this.nombre;
	}
	/**
	 * 
	 * @param nombre the nombre to set
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	
	
	public String getDocumento() {
		return documento;
	}
	public void setDocumento(String documento) {
		this.documento = documento;
	}
	
	
	
}

